Loading...
Searching...
No Matches
BALL::RelNegativePartialCharge Class Reference

`#include <BALL/QSAR/partialChargeDescriptors.h>`

Inheritance diagram for BALL::RelNegativePartialCharge:

## Public Member Functions

Constructors and Destructors
| RelNegativePartialCharge ()
| RelNegativePartialCharge (const RelNegativePartialCharge &rppc)
virtual | ~RelNegativePartialCharge ()
Assignment
RelNegativePartialCharge & | operator= (const RelNegativePartialCharge &rnpc)
Public Member Functions inherited from BALL::PartialChargeBase
| PartialChargeBase ()
| PartialChargeBase (const PartialChargeBase &pcb)
| PartialChargeBase (const String &name)
| PartialChargeBase (const String &name, const String &unit)
virtual | ~PartialChargeBase ()
PartialChargeBase & | operator= (const PartialChargeBase &pcb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::PartialChargeBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)
String | data_folder_

## Detailed Description

This descriptor returns the fraction of negative partial charges, which is calculated by deviding the most negative partial charge value by the sum of negative partial charges.

Definition at line 130 of file partialChargeDescriptors.h.

## Constructor & Destructor Documentation

## RelNegativePartialCharge() [1/2]

BALL::RelNegativePartialCharge::RelNegativePartialCharge | ( |  | ) |

Default constructor

## RelNegativePartialCharge() [2/2]

BALL::RelNegativePartialCharge::RelNegativePartialCharge | ( | const RelNegativePartialCharge & | rppc | ) |

Copy constructor

## ~RelNegativePartialCharge()

virtual BALL::RelNegativePartialCharge::~RelNegativePartialCharge | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

RelNegativePartialCharge & BALL::RelNegativePartialCharge::operator= | ( | const RelNegativePartialCharge & | rnpc | ) |

Assignment operator